Bug 481409 - Review Request: chisholm-to-be-continued-fonts - A stylized font
Review Request: chisholm-to-be-continued-fonts - A stylized font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Clint Savage
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 01:59 EST by Clint Savage
Modified: 2009-09-24 16:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 18:03:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Clint Savage 2009-01-24 01:59:47 EST
SRPM URL: http://herlo.fedorapeople.org/rpms/2bc-fonts-19990319-1.fc10.src.rpm
SPEC URL: http://herlo.fedorapeople.org/rpms/2bc-fonts.spec

ToBeContinued is a pfb font providing a fun fantasy-like script.  This package was on the Fonts SIG request for packaging.
Comment 1 Clint Savage 2009-01-24 02:04:35 EST
I wanted to add that the page for this font has been created and is available at: https://fedoraproject.org/wiki/To_Be_Continued_fonts
Comment 2 Clint Savage 2009-01-24 02:36:10 EST
So confusing, setting for review again.
Comment 3 Nicolas Mailhot 2009-01-24 06:08:36 EST
1. As noted on IRC, the font file claims "© Alex Chisholm. All rights reserved.", while the web site claims "© Matt Chisholm, OFL" so you have a licensing discrepancy. I doubt it is acceptable as-is, please have it clarified upstream

2. The TTF version is probably better for Fedora than the Type1 version. The days of Type1 being the primary Linux font format are long past

3. Please remove comments from your spec file

4. I'd have named the package chisholm-to-be-continued-fonts, both to have a common prefix to use with other fonts on that site and to respect the name the font declares
Comment 4 Clint Savage 2009-01-24 15:33:10 EST
1. Sent an email to Matt Chisholm about the legal discrepancy.  

2. Packaged the ttf version for review instead of the Type1 font.

3. Spec file is clean.

4. Package has been renamed to accommodate such credit.

I've uploaded two new files to represent the spec and srpm respective to the requested changes:

SRPM: http://herlo.fedorapeople.org/rpms/chisholm-to-be-continued-fonts-19990319-1.fc10.src.rpm
SPEC: http://herlo.fedorapeople.org/rpms/chisholm-to-be-continued.spec
Comment 5 Nicolas Mailhot 2009-01-24 16:34:24 EST
1. you need to rename your spec too
2. your summary is too generic, add graffiti or cursive or decorative in there
3. why install -m 0643 (is this a reviewer-awake test?)
4. why fantacy in the fontconfig file (is this another test?)

Apart from that, you only need confirmation in the licensing in %doc to finish the package
Comment 6 Clint Savage 2009-01-25 12:00:32 EST
1. Thanks for that catch, I missed the -fonts.
2. Added Decorative to the summary
3. I honestly don't know how that happened.  Fixed.
4. Again, I must have been sleepy at some point. I didn't see that change. Fixed.

The new font is licensed correctly in the font itself, thus no documentation needed.  Because of the license change (a new version of the font) and renaming the spec, two new files exist again.

SRPM: http://herlo.fedorapeople.org/rpms/chisholm-to-be-continued-fonts-20090124-1.fc10.src.rpm
SPEC: http://herlo.fedorapeople.org/rpms/chisholm-to-be-continued-fonts.spec
Comment 7 Nicolas Mailhot 2009-01-25 12:15:53 EST
The SPEC still includes a 
install -m 0643 -p %{SOURCE1}

I'll approve the package, but please fix this before import in cvs.

✧✧✧ APPROVED ✧✧✧

You can now continue from
https://fedoraproject.org/wiki/Font_package_lifecycle#3.a
Please do not forget the wiki and comps bits.

Thank your for packaging a new font for Fedora.
Comment 8 Clint Savage 2009-01-25 12:48:23 EST
New Package CVS Request
=======================
Package Name: chisholm-to-be-continued-fonts
Short Description: To Be Continued is a decorative/graffiti sans-serif font.
Owners: herlo
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 9 Kevin Fenzi 2009-01-26 17:49:54 EST
cvs done.
Comment 10 Fedora Update System 2009-01-29 18:03:55 EST
chisholm-to-be-continued-fonts-20090124-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-29 18:07:28 EST
chisholm-to-be-continued-fonts-20090124-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jason Tibbitts 2009-09-24 13:53:22 EDT
How is this package in the distribution when this ticket is still blocking FE-Legal?
Comment 13 Clint Savage 2009-09-24 16:00:17 EDT
That block should have been removed some time ago.  The author changed the license to a free license.

Note You need to log in before you can comment on or make changes to this bug.